package domain


type AlibabaRetailMarketingBuygiftSkuQueryPageInfoDTO struct {
    /*
        总数     */
    Total  *int64 `json:"total,omitempty" `

    /*
        总页数     */
    Pages  *int64 `json:"pages,omitempty" `

    /*
        页面大小     */
    PageSize  *int64 `json:"page_size,omitempty" `

    /*
        当前页数     */
    PageNum  *int64 `json:"page_num,omitempty" `

}

func (s *AlibabaRetailMarketingBuygiftSkuQueryPageInfoDTO) SetTotal(v int64) *AlibabaRetailMarketingBuygiftSkuQueryPageInfoDTO {
    s.Total = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftSkuQueryPageInfoDTO) SetPages(v int64) *AlibabaRetailMarketingBuygiftSkuQueryPageInfoDTO {
    s.Pages = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftSkuQueryPageInfoDTO) SetPageSize(v int64) *AlibabaRetailMarketingBuygiftSkuQueryPageInfoDTO {
    s.PageSize = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftSkuQueryPageInfoDTO) SetPageNum(v int64) *AlibabaRetailMarketingBuygiftSkuQueryPageInfoDTO {
    s.PageNum = &v
    return s
}
